Bug 57007 - backspace key generates Delete keysym
backspace key generates Delete keysym
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-02 22:12 EST by James Henstridge
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-24 12:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Henstridge 2001-12-02 22:12:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
I installed RH7.2 on a box with an old Matrox Millenium video card (not
supported by XF4, so it is using the 3.3.6a SVGA server).

When I start X, both the backspace and delete keys generate the Delete
keysym (according to xev).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start X
2.run xev from a terminal
3.press the backspace key then the delete key
	

Actual Results:  pressing the backspace key generates the Delete keysym
pressing the delete key generates the Delete keysym

Expected Results:  pressing the backspace key should generate the BackSpace
keysym
pressing the delete key should generate the Delete keysym

Additional info:

Running the following command once in X fixes the problem:
  xmodmap -e 'keycode 22 = BackSpace Delete'

The Keyboard section of the XF86Config file contains the following (with
comments removed):
Section "Keyboard"
    Protocol    "Standard"

    AutoRepeat  500 5

    LeftAlt         Meta
    RightAlt        Meta
    ScrollLock      Compose
    RightCtl        Control

     XkbRules    "xfree86"
     XkbModel    "microsoft"
     XkbLayout   "us"     
     XkbVariant  "nodeadkeys"
EndSection

My /etc/sysconfig/keyboard file contains the single line KEYTABLE="us"
Comment 1 James Henstridge 2001-12-03 00:27:20 EST
Removing the XkbVariant line in the XF86Config file also solved the problem. 
The installer probably shouldn't ask about disabling deadkeys if it screws up
the keymap like this (alternatively, the keymap should be set correctly if the
option is chosen).

Comment 2 Jeremy Katz 2002-04-10 17:51:38 EDT
Punting to next release when we're going to fix the dead key configuration for real
Comment 3 Michael Fulbright 2002-05-24 12:41:13 EDT
Brent can you look at this in regards to the new kbd tool?
Comment 4 Brent Fox 2002-05-24 14:50:34 EDT
The new keyboard tool should prevent this behavior from ever happening.  Please
reopen this bug if you see this behavior in future versions of Red Hat Linux
(not 7.3, but the version after that)
Comment 5 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.